import request from '../../../../utils/request'

//延期整改

//延期整改 获取隐患通知
export function OrderPagedNoticePerson(params) {
	return new Promise((resolve, reject) => {
		request.post("/BS/BSRiskSubmitDelayApply/OrderPagedNoticePerson", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//获取延期明细
export function GetNoticePersonCanDelayContent(params) {
	return new Promise((resolve, reject) => {
		request.post("/BS/BSRiskSubmitDelayApply/GetNoticePersonCanDelayContent", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//延期申请
export function DelayApplyFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/BS/BSRiskSubmitDelayApply/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}


//延期申请审批 、延期申请 驳回数据加载
export function GetAll(params) {
	return new Promise((resolve, reject) => {
		request.post("/BS/BSRiskSubmitDelayApply/GetAll", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//延期确认
export function CheckDetail(params) {
	return new Promise((resolve, reject) => {
		request.post("/BS/BSRiskSubmitDelayApply/CheckDetail", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//延期申请记录
export function OrderPaged(params) {
	return new Promise((resolve, reject) => {
		request.post("/BS/RiskSubmitDelayApply/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

